#include <stdio.h>
#include <stdlib.h>
int main()
{
    int t;
    scanf("%d",&t);
    char* p=malloc(t);
    for(int c=0;c<t;c++)
    {
        int n,m,k,nm,ni;
        scanf("%d %d %d",&n,&m,&k);
        nm=n/k;
        ni=n%k;
        int min=nm*(nm+1)/2*(n-ni)+(nm+1)*(nm+2)/2*ni;
        p[c]=(min<=m);
    }
    for(int c=0;c<t;c++)
    {
        if(p[c])
        {
            printf("Tak\n");
        }
        else
        {
            printf("Nie\n");
        }
    }
    return 0;
}